Subject: Re: PATCH 0/1: rt2x00dev.c / rt2x00lib.h fixes build breakage

From: "John W. Linville" <[email-masked]>
Date: Fri, 25 Sep 2009 00:53:17 -0400

On Wed, Sep 23, 2009 at 09:58:35PM +0100, Ken Lewis wrote:
> The headers in drivers/net/wireless/rt2x00/rt2x00lib.h don't match the
> use of the function in rt2x00dev.c  The build fails as a result.
> 
> This has been a problem in linux-next since early September.  I've
> e-mailed a patch to linux-next and to linux-net, but the 2.6.32 merge
> window has brought the problem to the mainline and so I'm re-sending
> my patch.  I've opened a bug on bugzilla:
> http://bugzilla.kernel.org/show_bug.cgi?id=14217

Always make sure to send wireless LAN patches to
[email-masked].  Anyway, the following patch is in
the pull request I sent to Dave yesterday (and which I believe he
has already pulled):

commit fe2475633676b0a976400dfc53f8d7006f56543e
Author: Andrew Price <[email-masked]>
Date:   Thu Sep 17 21:15:48 2009 +0100

    rt2x00: fix the definition of rt2x00crypto_rx_insert_iv
    
    Remove the redundant l2pad parameter from the definition of
    rt2x00crypto_rx_insert_iv which is used when only CONFIG_RT2500PCI but
    none of the other rt2x00 family drivers is configured.
    
    Signed-off-by: Andrew Price <[email-masked]>
    Signed-off-by: John W. Linville <[email-masked]>

Hth!

John
-- 
John W. Linville		Someday the world will need a hero, and you
[email-masked]			might be all we have.  Be ready.